using System;
using System.Xml;

namespace Interfaces
{
	/// <summary>
	/// provides interface for matching of objects.
	/// all matching relations for objects have to implement this interface
	/// </summary>
	public interface IMatchable
	{
		/// <summary>
		/// basic method common to all matching-relations on objects.
		/// </summary>
		/// <param name="fst">the object to match</param>
		/// <returns>true, if matching, false otherwise</returns>
		bool matches(Object fst);
	}
}
