using System;
using System.Runtime.Remoting;
using System.Runtime.Remoting.Channels.Http;

namespace MinimalXMLServer
{
	/// <summary>
	/// Minimal server for that provides an endpoint for XMLSpaces.NET
	/// </summary>
	class MinimalXMLServer
	{
		/// <summary>
		/// Create an endpoint for XMLSpaces.NET. Details in config-file.
		/// </summary>
		/// 
		[STAThread]
		static void Main(string[] args)
		{
			try 
			{				
				RemotingConfiguration.Configure( @"..//..//MinimalXMLServer.exe.config" );
				Console.WriteLine("Server is running...");
				Console.ReadLine();
			} 
			catch(Exception e) 
			{
				Console.WriteLine("Problems starting server : " + e.StackTrace);
			}
			
		}
	}
}
