using System;

namespace Interfaces
{
	/// <summary>
	/// presents an Interface for a Tuple
	/// </summary>
	public interface IField
	{	
		/// <summary>
		///  string representation of an Field
		/// </summary>
		/// <returns>
		/// returns the string representation of an Field
		/// </returns>
		string ToString();
		/// <summary>
		/// presents the Type of the Field
		/// </summary>
		/// <param name="obj">
		/// the Type of the Field
		/// </param>
		/// <returns>
		/// returns the Type of the Field
		/// </returns>
		String Type {get;set;}
		/// <summary>
		/// contains the Value of the Field
		/// </summary>
		/// <param name="obj">
		/// the Value of the Field
		/// </param>
		/// <returns>
		/// returns the Value of the Field
		/// </returns>
		object FieldValue{get;set;}
	}
}
