using System;
using System.Xml;

namespace Interfaces
{
	/// <summary>
	/// Provides interface for matchingrelations on xmldocuments
	/// </summary>
	public interface IXMLMatchable
	{
		/// <summary>
		/// basic method common to all matching-relations on objects.
		/// </summary>
		/// <param name="xmldoc">the Node to match</param>
		/// <returns>true if matching, false otherwise</returns>
		bool matches(XmlDocument xmldoc);
	}
}
