using System;
using System.Xml;
using Interfaces;

namespace XMLTupleSpaceShared
{
	/// <summary>
	/// Summary description for FlatXmlTemplate.
	/// </summary>
	public class FlatXMLTemplate : XMLTemplate
	{
		public FlatXMLTemplate():base()
		{
		
		}
		public FlatXMLTemplate(int i): base(i)
		{
		}
		public FlatXMLTemplate(byte b):base(b)
		{
		}
		public FlatXMLTemplate(SByte sb) : base(sb)
		{
		}
		public FlatXMLTemplate(short s) : base(s)
		{
		}
		public FlatXMLTemplate(long l) : base(l)
		{
		}
		public FlatXMLTemplate(float f) : base(f)
		{
		}
		public FlatXMLTemplate(double d):base(d)
		{
		}
		public FlatXMLTemplate(char c):base(c)
		{
		}
		public FlatXMLTemplate(String s):base(s)
		{
		}
		public FlatXMLTemplate(XMLTemplate t): base(t)
		{	
			
		}
		public FlatXMLTemplate(IMatchable m):base(m)
		{
		}		
		
		public FlatXMLTemplate(IXMLMatchable m):base(m)
		{
		}
		/// <summary>
		/// Stores an object in the tuple. In further execution the type is differentiated.
		/// </summary>
		/// <param name="o"></param>
		public FlatXMLTemplate(Object o):base(o)
		{			
		}

		public FlatXMLTemplate(ITuple t):base(t)
		{			
		}
		/// <summary>
		/// Stores a field in the tuple
		/// </summary>
		/// <param name="f"></param>
		public FlatXMLTemplate(IField f):base(f)
		{
			
		}

		public override bool matches(XmlNode xmldoc) 
		{
			return match(this.getXmlDocument().DocumentElement, xmldoc);
		}
		public override bool match(XmlNode templatenode, XmlNode tuplenode) 
		{
			return true;
		}
	}
}
